swagger: "2.0"
info:
  version: 0.0.2
  title: eval_perf
  license:
    name: MIT
basePath: /api
schemes:
  - http
consumes:
  - application/json
produces:
  - application/json
paths:
  /eval_perf:
    get:
      summary: Result of energy/execution_time evaluation
      operationId: evalPerf
      tags:
        - eval_perf
      parameters:
        - name: algorithm_configuration_id
          in: query 
          description: Id of a DNN model to evaluate
          required: true
          type: integer
          format: int32
        - name: architecture_id
          in: query 
          description: Target hardware architecture id
          required: true
          type: integer
          format: int32
      responses:
        "200":
          description: DNN model power/execution time evaluation result
          schema:
            $ref: '#/definitions/Evaluation_case'
      default:
          description: unexpected error
          schema:
            $ref: '#/definitions/Error'
definitions:
  Evaluation_case:
    required:
      - execution_time
      - energy
      - processors
      - memory
    properties:
      execution_time:
        type: number
        format: int32
      energy:
        type: number
        format: int32
      processors:
        type: integer
        format: int32
      memory:
        type: number
        format: int32
  Error:
    required:
      - code
      - message
    properties:
      code:
        type: integer
        format: int32
      message:
        type: string
